System and health
System and health — 4 operations (GET /, GET /status.json, GET /healthz, …). Generated from the OpenAPI 3.1.0 contract.
Unauthenticated service information, status page data and Kubernetes/monitoring probes (liveness and readiness).
Base URL: https://api.pushizo.com · Tag: system · Interactive docs (Scalar)
Operations
| Method | Path | Operation |
|---|---|---|
GET | / | Service information |
GET | /status.json | Status page (components and open incidents) |
GET | /healthz | Liveness: is the process up? |
GET | /readyz | Readiness: are the database and Redis reachable? |
Details
Service information
Authentication: not required (public endpoint).
Responses
200 — Success.
No body defined.
Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).
Examples
curl -X GET "https://api.pushizo.com/"Status page (components and open incidents)
Authentication: not required (public endpoint).
Responses
200 — Success.
No body defined.
Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).
Examples
curl -X GET "https://api.pushizo.com/status.json"Liveness: is the process up?
Authentication: not required (public endpoint).
Responses
200 — The process is running.
No body defined.
Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).
Examples
curl -X GET "https://api.pushizo.com/healthz"Readiness: are the database and Redis reachable?
Authentication: not required (public endpoint).
Responses
200 — Success.
No body defined.
Errors use the common envelope (error.code, message, details, request_id): error catalog. Every response carries X-RateLimit-* headers (rate limits).
Examples
curl -X GET "https://api.pushizo.com/readyz"Versioning and compatibility
The /v1 compatibility promise, backward-compatible addition rules, breaking change policy and the new version path, deprecation, OpenAPI/SDK versions and the changelog.
Apps
Apps — 9 operations (GET /v1/apps/{appId}/sdk-errors, GET /v1/organization, GET /v1/organization/members, …). Generated from the OpenAPI 3.1.0 contract.